%define name3 python3-sane
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

# Refer to the comment for Source0 below on how to obtain the source tarball
# The saved file has format python-pillow-Sane-$version-$ahead-g$shortcommit.tar.gz
%define commit d659c98830c20e52ca830ff69123d87317572986
%define shortcommit %(c=%{commit}; echo ${c:0:7})
%define ahead 0

Name:           python-sane
Version:        2.8.3
Release:        %mkrel 2
Summary:        Python SANE interface
Group:          Development/Python
License:        MIT
URL:            https://github.com/python-pillow/Sane

# Obtain the tarball for a certain commit via:
#  wget --content-disposition https://github.com/python-pillow/Sane/tarball/$commit
Source0:        https://github.com/python-pillow/Sane/tarball/%{commit}/python-pillow-Sane-v%{version}-%{ahead}-g%{shortcommit}.tar.gz

BuildRequires:  pkgconfig(sane-backends)

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme


%description
This package contains the sane module for Python which provides access to
various raster scanning devices such as flatbed scanners and digital cameras.


%package -n %{name3}
Summary:        Python3 module for using scanners
Group:          Development/Python
Obsoletes:      python3-pillow-sane <= 2.6.1-2
Provides:       python3-pillow-sane = %{version}-%{release}
Requires:       python3-pillow
Requires:       python3-numpy
%{?python_provide:%python_provide python3-sane}

%description -n %{name3}
This package contains the sane module for Python3 which provides access to
various raster scanning devices such as flatbed scanners and digital cameras.


%prep
%setup -q -n python-pillow-Sane-%{shortcommit}

%build
%py3_build

make html -C doc
rm -f _build/html/.buildinfo

%install
%py3_install

# Fix non-standard-executable-perm
chmod 0755 %{buildroot}%{python3_sitearch}/*.so

%files -n %{name3}
%doc CHANGES.rst sanedoc.txt example.py doc/_build/html
%{python3_sitearch}/*



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.8.3-2.mga8
+ Revision: 1535067
- Mageia 8 Mass Rebuild

* Thu Oct 10 2019 daviddavid <daviddavid> 2.8.3-1.mga8
+ Revision: 1450925
- new version: 2.8.3

* Mon Oct 07 2019 daviddavid <daviddavid> 2.8.2-8.mga8
+ Revision: 1450363
- rebuild for python3.8
- drop python2 support
+ wally <wally>
- update doc build

* Thu Jan 10 2019 daviddavid <daviddavid> 2.8.2-6.mga7
+ Revision: 1354133
- rebuild for new Python 3.7
- rename python-sane to python2-sane

* Sun Sep 23 2018 umeabot <umeabot> 2.8.2-5.mga7
+ Revision: 1300588
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.8.2-4.mga7
+ Revision: 1135618
- Rebuild for python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 2.8.2-3.mga6
+ Revision: 958685
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 2.8.2-2.mga6
+ Revision: 887482
- BR python3-sphinx_rtd_theme
- BR python-sphinx_rtd_theme
- rebuild for python 3.5

* Fri Aug 28 2015 philippem <philippem> 2.8.2-1.mga6
+ Revision: 870450
- imported package python-sane

